<?php
/**
 * The Sidebar that is normally displayed on the left side (Primary).
 *
 * @package Septera
 */
?>

<aside id="primary" class="widget-area sidey" role="complementary" <?php cryout_schema_microdata( 'sidebar' );?>>
	<?php cryout_before_primary_widgets_hook(); ?>

	<?php if ( is_active_sidebar( 'widget-area-left' ) ): 
				dynamic_sidebar( 'widget-area-left' );
		  else: ?>
		  
			<section class="widget-container widget-placeholder">
				<h3 class="widget-title"><?php _e( 'Left Sidebar', 'septera' ); ?></h3>
				<p>
					<?php
					printf( __( 'You currently have no widgets set in the left sidebar. You can add widgets via the <a href="%s" target="_blank">Dashboard</a>.', 'septera' ), esc_url( admin_url() . "widgets.php" ) ); echo "<br/>";
					printf( __( 'To hide this sidebar, switch to a different Layout via the <a href="%s" target="_blank">Theme Customizations</a>.', 'septera' ), esc_url( admin_url() . "customize.php" ) );
					?>
				</p>
			</section>
			
	<?php endif; ?>

	<?php cryout_after_primary_widgets_hook(); ?>
</aside>

